# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Summary:        Delivery context library
Name:           deli
Version:        1.0
Release:        2%{?dist}
Epoch:          0
License:        BSD -style
URL:            http://sourceforge.net/projects/delicon/
Group:          Java/Libraries
Source0:        deli-1.0.tgz         
# cvs -d:pserver:anonymous@delicon.cvs.sourceforge.net:/cvsroot/delicon login
# cvs -z3 -d:pserver:anonymous@delicon.cvs.sourceforge.net:/cvsroot/delicon co -r rel-1-0 -P deli
# tar czf ../SOURCES/deli-1.0.tgz deli/
Patch0:         deli-JenaProcessProfile.patch
Patch1:         deli-UAProfValidator.patch
Patch2:         deli-VocabularyConfig.patch
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  httpunit
BuildRequires:  jena
BuildRequires:  jtidy
BuildRequires:  junit
BuildRequires:  servlet_2_3_api

Requires:  java >= 0:1.6.0
Requires:  jpackage-utils >= 0:1.7.5
Requires:  jena
Requires:  servlet_api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DELI provides an API to allow Java servlets to determine the
delivery context of a client device using CC/PP or UAProf.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
#BUILD/deli/lib/testlibs/httpunit-1.4.jar.no
ln -s $(build-classpath httpunit) lib/testlibs/httpunit-1.4.jar
#BUILD/deli/lib/testlibs/Tidy.jar.no
ln -s $(build-classpath jtidy) lib/testlibs/Tidy.jar
#BUILD/deli/lib/testlibs/junit-3.7.jar.no
ln -s $(build-classpath junit) lib/testlibs/junit-3.7.jar
#BUILD/deli/lib/rdffilter.jar.no
#BUILD/deli/lib/xml-apis.jar.no
#BUILD/deli/lib/jena-1.4.0.jar.no
ln -s $(build-classpath jena) lib/jena-1.4.0.jar
#BUILD/deli/lib/xerces-1.4.0.jar.no

for j in $(find . -name "*.java"); do
    sed -i -e 's|com\.hp\.hpl\.mesa\.rdf\.jena\.model|com.hp.hpl.jena.rdf.model|g' \
           -e 's|com\.hp\.hpl\.mesa\.rdf\.jena\.vocabulary|com.hp.hpl.jena.vocabulary|g' \
    $j
done

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2

%build
export CLASSPATH=$(build-classpath servlet_2_3_api)
ant -Dbuild.sysclasspath=first

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 lib/%{name}Test.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
install -m 644 lib/%{name}TestClient.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-testclient-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/user
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/developer
cp -pr javadoc/user/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/user
cp -pr javadoc/developer/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/developer
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


# docs
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Oct 31 2012 Will Tatam <will.tatam@red61.com> 1.0-2
- Auto rebuild for JPackage 6 in centos5 mock

* Thu Sep 06 2012 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1
- First JPP-6 release

